From fa505970550346b613f31894095ffb8c2eedafa0 Mon Sep 17 00:00:00 2001
From: Sam Lantinga <[EMAIL REDACTED]>
Date: Thu, 5 May 2022 11:54:00 -0700
Subject: [PATCH] Simplified autogen.sh, thanks to @smcv for the tip
---
autogen.sh | 8 +++-----
1 file changed, 3 insertions(+), 5 deletions(-)
diff --git a/autogen.sh b/autogen.sh
index daf160de521..dffcf415295 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,5 +1,7 @@
#!/bin/sh
+set -e
+
echo "Generating build information using autoconf"
echo "This may take a while ..."
@@ -10,11 +12,7 @@ cd "$srcdir"
# Regenerate configuration files
cat acinclude/* >aclocal.m4
-if test "$AUTOCONF"x = x; then
- AUTOCONF=autoconf
-fi
-
-$AUTOCONF || exit 1
+"${AUTOCONF:-autoconf}"
rm aclocal.m4
rm -rf autom4te.cache